{ config, lib, ... }:
lib.mkIf (config.machine == "fire") {
  services.upower = {
    enable = true;
    
    usePercentageForPolicy = true;
    percentageLow = 15;
    percentageCritical = 5;
  };

  # Power management tools
  services.power-profiles-daemon.enable = true;
}
